<?php
$block_enabled = get_theme_mod( 'home_tariff_enabled', false );
if ( ! $block_enabled ) {
	return;
}

if ( is_front_page() ) {
	if ( ! get_theme_mod( 'home_tariff_enabled_home', true ) ) {
		return;
	}
}

$title      = get_theme_mod( 'home_tariff_title' );
$title      = str_replace( '%', '%%', $title );
$title_type = get_theme_mod( 'home_tariff_title_type', 'div' );
$text       = get_theme_mod( 'home_tariff_text' );

$style_bg = '';
if ( $color_bg = get_theme_mod( 'home_tariff_color_bg' ) ) {
	$style_bg = 'style="background-color:' . $color_bg . ';"';
}

$style_title = '';
if ( $color = get_theme_mod( 'home_tariff_color_title' ) ) {
	$style_title = 'style="color:' . $color . ';"';
}

$section_class    = '';
$section_position = get_theme_mod( 'home_tariffwescle_position_content', 'default' );
if ( 'default' != $section_position ) {
	$section_class .= ' _section-' . $section_position;
}
if ( get_theme_mod( 'home_tariff_columns_three' ) ) {
	$section_class .= ' _grid-3';
}
if ( Helper::isset_tariff_slider() ) {
	$section_class .= ' _with-ranges _monthly';
}

$btn_flare = get_theme_mod( 'tariff_button_type' ) == 'animation' ? 'btn-flare' : '';
?>
<div class="wescle-tariffs<?php echo $section_class; ?>" <?php echo $style_bg; ?>>
	<?php echo wescle_home_block_bg_image( 'home_tariff_image_bg' ); ?>
    <div class="container">
		<?php
		if ( $title ) {
			printf( '<%1$s class="title title_divider title_center" %2$s>' . $title . '</%1$s>', $title_type, $style_title );
		}
		?>
		<?php if ( $text ) { ?>
            <div class="_section-about">
                <div class="_section-about__text"><?php echo $text; ?></div>
            </div>
		<?php } ?>

		<?php
		$args = [
			'btn_flare' => $btn_flare
		];
		get_template_part( 'template-parts/content/tariff-tabs', null, $args ); ?>
    </div>
</div>